hibernate jpa 加载类的时候,报错。。。。

Java_Coder 发布于 2016/07/21 18:27
阅读 228
收藏 0

当加载配置文件,扫描到该类的时候,如果有@NamedQueris注解时候,就会报

Caused by: java.lang.NoSuchMethodError: antlr.collections.AST.getLine()I



jar包版本是:hibernate-core.3.6.10.Final


加载中
0
tinshen
tinshen

antlr.collections.AST.getLine方法找不到。

确定antlr版本是否正确。

Java_Coder
Java_Coder
回复 @tinshen : hibernate自身有对antlr的依赖。。 hibernate -core.3.6.10对应antlr2.7.6版本
tinshen
tinshen
回复 @Java_Coder : antlr包有问题。 你换hibernate干啥。
Java_Coder
Java_Coder
又换了Hibernate的版本,还是这个问题。。 真心醉了
Java_Coder
Java_Coder
用的是Hibernate自身依赖的。。。 版本应该没问题的
返回顶部
顶部